import java.io.*;
import java.security.*;
import java.security.cert.*;
import java.nio.charset.Charset;

class ExportCertificate
{
	ExportCertificate()
	{
		try
		{
			CertificateFactory cf = CertificateFactory.getInstance("X.509");
			File f = new File("Certificate.cert"); 
			FileInputStream fis = new FileInputStream(f);
			java.security.cert.Certificate cert = cf.generateCertificate(fis);
			export(cert, f, false); 	
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
		
	}

	// This method writes a certificate to a file. If binary is false, the
    // certificate is base64 encoded.
    public static void export(java.security.cert.Certificate cert, File file, boolean binary) 
	{
        try 
		{
            // Get the encoded form which is suitable for exporting
            byte[] buf = cert.getEncoded();
			
            FileOutputStream os = new FileOutputStream(file);
            if (binary) 
			{
                // Write in binary form
                os.write(buf);
            } 
			else 
			{
                // Write in text form
                Writer wr = new OutputStreamWriter(os, Charset.forName("UTF-8"));
                wr.write("-----BEGIN CERTIFICATE-----\n");
                wr.write(new sun.misc.BASE64Encoder().encode(buf));
                wr.write("\n-----END CERTIFICATE-----\n");
                wr.flush();
            }
            os.close();
        } 
		catch (CertificateEncodingException e) 
		{} 
		catch (IOException e) 
		{}
    }

	public static void main(String[] args) 
	{
		ExportCertificate ec = new ExportCertificate();
		
	}
}
